< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package events
  Definition Classes
    play
-  package monitoring
  Definition Classes
    events
- DefaultHttpErrorCountEvent
- DefaultHttpErrorEvent
- DefaultTimerEvent
- EventSource
- HttpErrorCountMonitor
- HttpErrorMonitor
- Monitor
- Timer

t

uk.gov.hmrc.play.events.monitoring

# HttpErrorMonitor 

###

#### trait HttpErrorMonitor extends Monitor

Linear Supertypes
Monitor, DefaultEventRecorder, EventRecorder, EventSource, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpErrorMonitor
2. Monitor
3. DefaultEventRecorder
4. EventRecorder
5. EventSource
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def source: String
   Definition Classes
     EventSource

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def createHttpErrorEvent(source: String, response: HttpException, alertCode: AlertCode): Recordable
   Attributes
     protected
7.  def createHttpErrorEvent(source: String, response: Upstream5xxResponse, alertCode: AlertCode): Recordable
   Attributes
     protected
8.  def createHttpErrorEvent(source: String, response: Upstream4xxResponse, alertCode: AlertCode): Recordable
   Attributes
     protected
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def eventHandlers: Set[EventHandler]
    Definition Classes
      DefaultEventRecorder → EventRecorder
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def monitor[T](alertCode: AlertCode = Unknown)(future: Future[T])(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[T]
    Definition Classes
      HttpErrorMonitor → Monitor
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def record(recordable: Recordable)(implicit headerCarrier: HeaderCarrier, ec: ExecutionContext): Unit
    Definition Classes
      EventRecorder
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Monitor

### Inherited from DefaultEventRecorder

### Inherited from EventRecorder

### Inherited from EventSource

### Inherited from AnyRef

### Inherited from Any

### Ungrouped